#ifndef _UTIL_H
#define _UTIL_H

#if !defined(HAVE_STRLCPY) || !defined(HAVE_STRLCAT)
#include <string.h>
#endif /* !HAVE_STRLCPY || !HAVE_STRLCAT */

#ifndef HAVE_STRLCPY
size_t strlcpy (char *dst, const char *src, size_t siz);
#endif /* !HAVE_STRLCPY */
#ifndef HAVE_STRLCAT
size_t strlcat (char *dst, const char *src, size_t siz);
#endif /* !HAVE_STRLCAT */

#ifndef HAVE_INET_ATON
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
int inet_aton (const char *cp, struct in_addr *addr);
#endif /* !HAVE_INET_ATON */

#endif /* _UTIL_H */
